GET api/medistreamprogramstepapi/steps/{programId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"id": "6abec767-7f52-4b7a-91db-a514de70a7f5",
"program_id": "56e455b9-8dd8-46bc-a658-69f97a49719d",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "31927f38-b536-4e13-8108-7a2132178921",
"active": true
},
{
"id": "6abec767-7f52-4b7a-91db-a514de70a7f5",
"program_id": "56e455b9-8dd8-46bc-a658-69f97a49719d",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "31927f38-b536-4e13-8108-7a2132178921",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOfmedistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>6abec767-7f52-4b7a-91db-a514de70a7f5</id>
<medistream_program_step_type_id>31927f38-b536-4e13-8108-7a2132178921</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>56e455b9-8dd8-46bc-a658-69f97a49719d</program_id>
</medistream_program_step>
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>6abec767-7f52-4b7a-91db-a514de70a7f5</id>
<medistream_program_step_type_id>31927f38-b536-4e13-8108-7a2132178921</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>56e455b9-8dd8-46bc-a658-69f97a49719d</program_id>
</medistream_program_step>
</ArrayOfmedistream_program_step>